%global source_date_epoch_from_changelog nil
%global srcname nnedi3_resample
%global commitid eb53450
%global fullcommitid eb53450a19f41f8435f36099f083ede0ae836c83

Name:           python-vapoursynth-%{srcname}
Version:        2.r.%{commitid}
Release:        1%{?dist}
Summary:        Plugin for Vapoursynth: %{srcname}

License:        MIT-0
URL:            https://github.com/HomeOfVapourSynthEvolution/%{srcname}
Source:         %{url}/archive/%{commitid}.zip

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

Requires: vapoursynth-plugin-fmtconv
Requires: vapoursynth-plugin-mvsfunc

%global _description %{expand:
A Vapoursynth plugin: %{srcname}.}

%description %_description

%package -n python3-vapoursynth-%{srcname}
Summary: %{summary}
%description -n python3-vapoursynth-%{srcname} %{_description}

%prep
%autosetup -p1 -n %{srcname}-%{fullcommitid}


%build
%python3 -m compileall

%install
install -D -m644 %{srcname}.py %{buildroot}/%{python3_sitelib}/%{srcname}/%{srcname}.py

%files -n python3-vapoursynth-%{srcname}
%{python3_sitelib}/%{srcname}
